Get a workspace
curl --request GET \
--url https://intentleads.si/api/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/workspaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "6f1d2c3b-4a5e-4f60-8172-93a4b5c6d7e8",
"name": "Acme Medical",
"created_at": "2026-10-14T06:12:41.528311+00:00",
"members": 2,
"this_month": {
"intent_leads": 412,
"search_results": 0,
"website_visitors": 18,
"spent_usd": 43
},
"budget": {
"budget_usd": 500,
"spent_usd": 43,
"left_usd": 457
}
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "workspace_not_found",
"message": "No such workspace in your organization."
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}Get a workspace
Free. This doesn’t spend your balance.
GET
/
api
/
v1
/
workspaces
/
{id}
Get a workspace
curl --request GET \
--url https://intentleads.si/api/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/workspaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "6f1d2c3b-4a5e-4f60-8172-93a4b5c6d7e8",
"name": "Acme Medical",
"created_at": "2026-10-14T06:12:41.528311+00:00",
"members": 2,
"this_month": {
"intent_leads": 412,
"search_results": 0,
"website_visitors": 18,
"spent_usd": 43
},
"budget": {
"budget_usd": 500,
"spent_usd": 43,
"left_usd": 457
}
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "workspace_not_found",
"message": "No such workspace in your organization."
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}Authorizations
Response
The workspace.